@import url('https://fonts.googleapis.com/css2?family=Google+Sans:ital,opsz,wght@0,17..18,400..700;1,17..18,400..700&display=swap');

@view-transition {
    navigation: auto;
}

:root {
    --clr: 16;
    --brand: hsl(var(--clr), 100%, 50%);
    --border: hsl(var(--clr), 100%, 95%);
    --background: hsl(var(--clr), 100%, 97%);
    --background-l: hsl(var(--clr), 100%, 99%);
}

#gotopButton {
    z-index: 9999;
    position: fixed;    
    max-width: 100%;
    max-height: 100%;
    bottom: 1.5rem;
    right: 1.5rem;
    transition: 200ms ease-in-out;
}

.hide {
    transition: 200ms ease-in-out;
    pointer-events: none;
    opacity: 0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box
}

.g025 {
    gap: 0.25rem
}

.g05 {
    gap: 0.5rem
}

.g075 {
    gap: 0.75rem
}

html,
body {
    scroll-behavior: smooth;
    background: var(--brand) !important;
    font-family: 'Google Sans', sans-serif !important;
    font-size: 16px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    position: relative;
}

.container {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: var(--background);
    user-select: none;
    position: relative;

    & a {
        text-decoration: none;
        color: inherit;
    }

    & header {
        position: sticky;
        top: 0;
        left: 0;
        padding: 0.75rem 1rem;
        padding-top: calc(0.75rem + env(safe-area-inset-top));
        background-color: var(--brand);
        color: white;
        display: flex;
        justify-content: space-between;
        align-items: center;
        z-index: 10;
    }

    & main {
        max-width: 1400px;
        margin: auto;
        flex: 1;
        padding: 1rem;
    }

    & footer {
        font-size: 0.8rem;
        opacity: 0.5;
        padding: 1rem;
        text-align: center;
    }

    ul {
        margin-top: 0.5rem;
    }

    li {
        margin-bottom: 0.5rem;
    }
}

label {
    --error: var(--priamry-fg) !important;
}

.sbc-input input,
.sbc-textarea textarea,
.sbc-select button {
    font-size: 1rem !important;
}

.sbc-button {
    border-radius: 9999px !important
}

.brandBtn {
    align-self: center;
    background-color: var(--brand) !important;
}

.fs15 {
    font-size: 15px;
    line-height: 1.5;
}

.px2 {
    padding-inline: 1.5rem !important
}

.slideIn {
    position: relative;
    animation: slide-in 300ms ease-in-out forwards;
}

@keyframes slide-in {
    from {
        opacity: 0;
        overflow: hidden;
        transform: translateX(100px)
    }

    to {
        opacity: 1;
        overflow: unset;
        transform: translateX(0)
    }
}
